通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Operations (Network) - List

返回支持 REST作的列表。

GET https://management.azure.com/providers/Microsoft.Network.Admin/operations?api-version=2015-06-15

URI 参数

名称 必需 类型 说明
api-version
query True

string

客户端 API 版本。

响应

名称 类型 说明
200 OK

OperationList

还行

安全性

azure_auth

Azure Active Directory OAuth2 流。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

Returns the list of support REST operations.

示例请求

GET https://management.azure.com/providers/Microsoft.Network.Admin/operations?api-version=2015-06-15

示例响应

{
  "value": [
    {
      "display": {
        "provider": "Microsoft.Network.Admin",
        "resource": "AdminOverview",
        "operation": "AdminOverview",
        "description": "Summary Overview of Network Resources across subscriptions."
      },
      "name": "Microsoft.Network.Admin/adminOverview/read"
    },
    {
      "display": {
        "provider": "Microsoft.Network.Admin",
        "resource": "VirtualNetwork",
        "operation": "VirtualNetwork",
        "description": "Gets a list of tenant virtual networks across all subscriptions."
      },
      "name": "Microsoft.Network.Admin/adminVirtualNetworks/read"
    },
    {
      "display": {
        "provider": "Microsoft.Network.Admin",
        "resource": "LoadBalancer",
        "operation": "LoadBalancer",
        "description": "Gets information about all load balancers across subscriptions."
      },
      "name": "Microsoft.Network.Admin/adminLoadBalancers/read"
    },
    {
      "display": {
        "provider": "Microsoft.Network.Admin",
        "resource": "PublicIpAddresses",
        "operation": "PublicIpAddresses",
        "description": "Lists public IP Addresses created by tenants across all subscriptions."
      },
      "name": "Microsoft.Network.Admin/adminPublicIpAddresses/read"
    },
    {
      "display": {
        "provider": "Microsoft.Network.Admin",
        "resource": "Subscription",
        "operation": "RegisterSubscription",
        "description": "RegistersTheSubscription"
      },
      "name": "Microsoft.Network.Admin/register/action"
    },
    {
      "display": {
        "provider": "Microsoft.Network.Admin",
        "resource": "QuotaOperation",
        "operation": "ReadQuota",
        "description": "Read action on Quota resources"
      },
      "name": "Microsoft.Network.Admin/locations/quotas/read"
    },
    {
      "display": {
        "provider": "Microsoft.Network.Admin",
        "resource": "QuotaOperation",
        "operation": "WriteQuota",
        "description": "Write action on Quota resources"
      },
      "name": "Microsoft.Network.Admin/locations/quotas/write"
    },
    {
      "display": {
        "provider": "Microsoft.Network.Admin",
        "resource": "QuotaOperation",
        "operation": "DeleteQuota",
        "description": "Delete action on Quota resources"
      },
      "name": "Microsoft.Network.Admin/locations/quotas/delete"
    },
    {
      "display": {
        "provider": "Microsoft.Network.Admin"
      },
      "name": "Microsoft.Network.Admin/operations/read"
    },
    {
      "display": {
        "provider": "Microsoft.Network.Admin"
      },
      "name": "Microsoft.Network.Admin/locations/read"
    },
    {
      "display": {
        "provider": "Microsoft.Network.Admin"
      },
      "name": "Microsoft.Network.Admin/locations/operations/read"
    },
    {
      "display": {
        "provider": "Microsoft.Network.Admin"
      },
      "name": "Microsoft.Network.Admin/locations/operationResults/read"
    }
  ]
}

定义

名称 说明
Display

包含此特定作/作的本地化显示信息。

Operation

描述支持的 REST作。

OperationList

作列表

Display

包含此特定作/作的本地化显示信息。

名称 类型 说明
description

string

作的本地化友好说明。 说明将向用户显示。 对于工具提示和详细视图,它应全面简洁。

operation

string

作的本地化友好名称。 使用名称,因为它将显示给用户。

provider

string

资源提供程序名称的本地化友好形式 – 预期还包括负责的发布者/公司。 它应使用游戏大小写,并从第一方服务的“Microsoft”开始。 例如“Microsoft Monitoring Insights”或“Microsoft计算”。

resource

string

与此作或作相关的资源类型的本地化友好版本;资源类型应与资源提供程序的公共文档匹配。

Operation

描述支持的 REST作。

名称 类型 说明
display

Display

包含此特定作/作的本地化显示信息。

name

string

正在对此特定对象执行的作的名称。 此名称应与 RBAC 或事件服务中显示的名称匹配。

OperationList

作列表

名称 类型 说明
nextLink

string

下一页作的 URI。

value

Operation[]

作数组